Viewing Issue Simple Details Jump to Notes ] Wiki ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0002401 [DCSS] FR: Interface Improvements feature N/A 2010-08-28 16:50 2014-09-29 23:58
Reporter minmay View Status public  
Assigned To wheals
Priority normal Resolution done  
Status closed   Product Branch 0.8 ancient branch
Summary 0002401: Allow autotravel up unknown stairs to level with fully explored exclusions
Description Right now, there's a system in place that doesn't let autotravel to pick an unused staircase that leads to a level with a travel exclusion.

It should be tweaked so that if the excluded area has been fully explored (and there are no staircases in it that the previously mentioned staircase could lead to), autotravel works as normal.

As it is, it makes most vaults with cloud generators somewhat annoying.

I understand this could be difficult in some cases - cloud generators with large size, walk_dist or spread_rate variables, for instance - but for oklob plants and vaults like Lemuel's flame/freeze loot, I think it would be worthwhile.

Alternatively, a solution that would be better than nothing and much more clear-cut would be to allow autotravel if the player has seen all three of the appropriate staircases on the previous/next level and none of them are excluded.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0027323)
wheals (administrator)
2014-09-21 02:07

Fairy sure this is what 0.16-a0-705-g5fa01b3 fixed.

- Issue History
Date Modified Username Field Change
2010-08-28 16:50 minmay New Issue
2014-09-21 02:07 wheals Note Added: 0027323
2014-09-21 02:07 wheals Status new => resolved
2014-09-21 02:07 wheals Fixed in Branch => 0.16 development branch
2014-09-21 02:07 wheals Resolution open => done
2014-09-21 02:07 wheals Assigned To => wheals
2014-09-29 23:58 minmay Status resolved => closed


Mantis 1.1.8[^]
Copyright © 2000 - 2009 Mantis Group
Powered by Mantis Bugtracker